﻿using GalaSoft.MvvmLight;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Plane.FormationCreator.Formation
{
    public class CopterStatus : ObservableObject
    {
        private float _Lng;
        public float Lng
        {
            get { return _Lng == 0 ? 116.23426389F : _Lng; }
            set { Set(nameof(Lng), ref _Lng, value); }
        }

        private float _Lat;
        public float Lat
        {
            get { return _Lat == 0 ? 40.160491667F : _Lat; }
            set { Set(nameof(Lat), ref _Lat, value); }
        }

        private float _Height;
        public float Height
        {
            get { return _Height; }
            set { Set(nameof(Height), ref _Height, value); }
        }

        private float _Heading;
        public float Heading
        {
            get { return _Heading; }
            set { Set(nameof(Heading), ref _Heading, value); }
        }

        private float _Pitch;
        public float Pitch
        {
            get { return _Pitch; }
            set { Set(nameof(Pitch), ref _Pitch, value); }
        }

        private float _Roll;
        public float Roll
        {
            get { return _Roll; }
            set { Set(nameof(Roll), ref _Roll, value); }
        }

        private DateTime _Time;
        public DateTime Time
        {
            get { return _Time; }
            set { Set(nameof(Time), ref _Time, value); }
        }
    }
}
