﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Plane.FormationCreator.Formation
{
    public enum AppMode
    {
        ControllingCopters,
        ModifyingTask,
        PreparedForRunningTasks,
        RunningTasks,
        MeasuringDistance
    }

    public static class AppModeExtensions
    {
        public static bool IsForControl(this AppMode mode)
        {
            return mode == AppMode.ControllingCopters;
        }

        public static bool IsForTasks(this AppMode mode)
        {
            return mode != AppMode.ControllingCopters;
        }
    }
}
